Skip to main content
POST
/
api
/
v1
/
employees
/
{employee_id}
/
member_requests
/
cobra_termination
Create a COBRA Termination Member Request
curl --request POST \
  --url https://fulfillment.noyo.com/api/v1/employees/{employee_id}/member_requests/cobra_termination \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "cobra_termination_date": "2021-01-15",
  "reason": "voluntary",
  "signature_date": "2021-01-01"
}
'
import requests

url = "https://fulfillment.noyo.com/api/v1/employees/{employee_id}/member_requests/cobra_termination"

payload = {
"cobra_termination_date": "2021-01-15",
"reason": "voluntary",
"signature_date": "2021-01-01"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
cobra_termination_date: '2021-01-15',
reason: 'voluntary',
signature_date: '2021-01-01'
})
};

fetch('https://fulfillment.noyo.com/api/v1/employees/{employee_id}/member_requests/cobra_termination', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "body": {
    "cobra_termination_date": "2021-01-15",
    "reason": "voluntary",
    "signature_date": "2021-01-01"
  },
  "created": 1557512389,
  "employee_id": "6dc22bed-27fc-458c-b732-bdaf5b5a1031",
  "id": "dd9a1813-34f7-4c7e-86bc-f041f2cbd9a1",
  "modified": 1564440756,
  "request_type": "cobra_termination",
  "status": "processing",
  "transactions": [
    "f4ecdaa5-e019-4a24-98c7-2caee9a58ccd"
  ]
}
The Member Request workflow is now deprecated in favor of using Member Snapshot

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

employee_id
string<uuid>
required

The unique identifier of the employee related to the member request

Example:

"6dc22bed-27fc-458c-b732-bdaf5b5a1031"

Body

application/json
cobra_termination_date
string
required

The COBRA Termination event date.

Pattern: ^([0-9]{4})(-)(1[0-2]|0[1-9])\2(3[01]|0[1-9]|[12][0-9])$
Example:

"2021-01-01"

reason
enum<string>
required

Reason the member has removed or canceled COBRA coverage

Available options:
voluntary,
involuntary,
new-enrollment,
expiration,
non-payment,
medicare-entitlement
signature_date
string

ISO-8601 date string for signature date

Pattern: ^([0-9]{4})(-)(1[0-2]|0[1-9])\2(3[01]|0[1-9]|[12][0-9])$
Example:

"2021-01-01"

Response

201 - application/json

Successful Response - Returns the new Member Request

body
object
required

Data required to execute a member request, varies depending on the request type

created
integer
required

The date the record was created

employee_id
string<uuid>
required
read-only

Unique identifier of the employee in Noyo

id
string<uuid>
required

Unique identifier of the record in Noyo

modified
integer
required

The date the record was last updated

request_type
enum<string>
required

Transaction type for the member request

Available options:
demographic,
new_hire,
termination,
open_enrollment,
qualifying_life_event,
enrollment_snapshot,
cobra_enrollment,
cobra_termination,
cobra_open_enrollment,
cobra_qualifying_life_event
result
object
required

Result from executing the member request, varies depending on the request type

status
enum<string>
required

Status of the member request

Available options:
processing,
completed,
failed,
canceled
version
string<uuid>
required

Current version of the record

completed
integer
read-only

Timestamp indicating when a member request was marked as completed

transactions
string<uuid>[]

List of unique identifiers of all associated member transactions in Noyo